# RecSys2021

Repository for the Final Project of the master of Fundamental Principles of Data Science. The purpose is to participate in the RecSys Challenge 2021  organized by Politecnico di Bari, ETH Zürich,Jönköping University, with the data set is provided by Twitter. 

# About the project

Recommendation systems is an interesting and wide field of research and it is present in a huge amount of different areas in our daily life. The RecSys ACM conference is the most important conference in the recommendation area and every year they organise a competition: the RecSys Challenge. The work presented here aims to solve the RecSys 2021 Challenge which consists of giving a probability to two Twitter users that interact. In this project we have worked in the development of a model which uses the power of Gradient Boosting Trees to combine multiple hand-crafted features in an aim to represent the interaction between the users. Our team reached the 14th place in the overall challenge leaderboard and is placed between the 7th and the 9th place in terms of Like overall performance.

**Authors**: Marcos Moreno Blanco and Adrià Torralba Agell

In this folder you will find:

**PFM.pdf**, where we summarise and explain our work. 

**Mixed_Model.ipynb**, a notebook with all the code necessary to load, train and test the final Mixed Model (NRT) and (RT), along with code used to perform feature importance plots.

**Text_Based_Model.ipynb**, a notebook with all the needed code to load, train and evaluate the final Text Model. In addition to this, it provides the needed code to show the feature importance of the models and save and load trained models.

**Non_Text_Based_Model.ipynb**, a notebook with all the code necessary to load, train and test the final Non-Text Based Model, along with code used to perform feature importance plots. It can be run sequentally or starting at either Train or Test sections.

**DataExploration/** a folder containing **data_exploration.ipynb** and **data_exploration_validation.ipynb**, notebooks containing the code used to perform some exploration of the subsampling and the validation data that we used to train our models.
